package com.steerinfo.dil.service;

import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.dil.model.DilBatch;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * DilBatch服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-11-06 10:22
 * 类描述
 * 修订历史：
 * 日期：2021-11-06
 * 作者：generator
 * 参考：
 * 描述：DilBatch服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IDilBatchService {
    //展示批次列表
    List<Map<String,Object>> getBatchList(Map<String,Object> map);

    //查询货权转移和提货委托出现的批次id
    List<Map<String,Object>> getBatchListFortTransfer(Map<String,Object> map);

   //根据用户输入模糊查询江船船名
    List<Map<String, Object>> getShipNameList(String state);

<<<<<<< HEAD
    //根据用户输入提货联系人模糊查询提货联系人、提货人身份证号、联系电话
    Map<String,Object> getPersonByName(String personName);
=======
    //新增批次
    Map<String,Object> insertBatchId(Map<String,Object> map);
<<<<<<< HEAD

    List<Map<String, Object>> getBatchIdByForeign(Map<String, Object> mapValue);
=======
>>>>>>> 37ebc233e11edc18be33b9e616a28d62c3bd8a84
>>>>>>> be319ee3c5974fec50291ecdb6fd1f7d81cc352d
}